initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+10
View File
@@ -0,0 +1,10 @@
config BR2_PACKAGE_SER2NET
bool "ser2net"
depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_GENSIO
select BR2_PACKAGE_LIBYAML
help
Ser2net provides a way for a user to connect from a network
connection to a serial port.
http://ser2net.sourceforge.net
+43
View File
@@ -0,0 +1,43 @@
#!/bin/sh
#
# Startup script for ser2net
#
start() {
printf "Starting ser2net: "
if [ ! -f /etc/ser2net.conf ] && [ ! -f /etc/ser2net/ser2net.yaml ] ; then
echo "no configuration file"
exit 1
fi
start-stop-daemon -S -q --exec /usr/sbin/ser2net -- -P /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Shutting down ser2net: "
start-stop-daemon -K -q -p /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
*)
echo "Usage: ser2net {start|stop|restart}"
exit 1
esac
exit $?
+6
View File
@@ -0,0 +1,6 @@
# From https://sourceforge.net/projects/ser2net/files/ser2net/
md5 e6d88a440852e28b8e2978003b00e154 ser2net-4.3.4.tar.gz
sha1 74d02c19c2eef219b59a47fbc61b4fb09cf608d3 ser2net-4.3.4.tar.gz
# Locally computed:
sha256 c714d6777849100b2ca3f216d1cfc36d4573639ececc91d5c7809dfe27c8428e ser2net-4.3.4.tar.gz
sha256 501f3108e6c03e5a0a5585ebaaa369171aead5319cd0a7a4dc1f66211c1f09f1 COPYING
+29
View File
@@ -0,0 +1,29 @@
################################################################################
#
# ser2net
#
################################################################################
SER2NET_VERSION = 4.3.4
SER2NET_SITE = https://downloads.sourceforge.net/project/ser2net/ser2net
SER2NET_LICENSE = GPL-2.0+
SER2NET_LICENSE_FILES = COPYING
SER2NET_DEPENDENCIES = gensio libyaml
ifeq ($(BR2_TOOLCHAIN_HAS_THREADS),y)
SER2NET_CONF_OPTS += --with-pthreads
else
SER2NET_CONF_OPTS += --without-pthreads
endif
# fix gensio detection with openssl enabled
ifeq ($(BR2_PACKAGE_OPENSSL),y)
SER2NET_CONF_ENV += LIBS="`$(PKG_CONFIG_HOST_BINARY) --libs openssl`"
endif
define SER2NET_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/ser2net/S50ser2net \
$(TARGET_DIR)/etc/init.d/S50ser2net
endef
$(eval $(autotools-package))